npm install testling error #2807

Closed
feifeipan opened this Issue Sep 16, 2012 · 4 comments

Comments

Projects
None yet
3 participants

Hi,

I want to install "testling", but it always says:

npm http GET https://registry.npmjs.org/nopt
npm http GET https://registry.npmjs.org/difflet
npm http GET https://registry.npmjs.org/deep-equal
npm http GET https://registry.npmjs.org/buffer-equal
npm http GET https://registry.npmjs.org/sockjs
npm ERR! git clone git://github.com/substack/sockjs-client.git
npm http GET https://registry.npmjs.org/jsonparse/0.0.1
npm ERR! Error: ENOENT, lstat '/Users/feifeipan/Sites/myweb/node/node_modules/testling/node_modules/browserify/test/field/string.js'
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 11.4.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "testling"
npm ERR! cwd /Users/feifeipan/Sites/myweb/node
npm ERR! node -v v0.8.9
npm ERR! npm -v 1.1.61
npm ERR! path /Users/feifeipan/Sites/myweb/node/node_modules/testling/node_modules/browserify/test/field/string.js
npm ERR! fstream_path /Users/feifeipan/Sites/myweb/node/node_modules/testling/node_modules/browserify/test/field/string.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack Writer._finish.er.fstream_finish_call (/usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26)
npm ERR! fstream_stack Object.oncomplete (fs.js:297:15)
npm ERR! error rolling back Error: ENOTEMPTY, rmdir '/Users/feifeipan/Sites/myweb/node/node_modules/testling/node_modules/schoolbus'
npm ERR! error rolling back testling@0.2.5 { [Error: ENOTEMPTY, rmdir '/Users/feifeipan/Sites/myweb/node/node_modules/testling/node_modules/schoolbus']
npm ERR! error rolling back errno: 53,
npm ERR! error rolling back code: 'ENOTEMPTY',
npm ERR! error rolling back path: '/Users/feifeipan/Sites/myweb/node/node_modules/testling/node_modules/schoolbus' }
npm ERR! Error: git "clone" "git://github.com/substack/sockjs-client.git" "/Users/feifeipan/tmp/npm-1052/1347806202686-0.09352949750609696" failed with 127
npm ERR! at ChildProcess. (/usr/local/lib/node_modules/npm/lib/utils/exec.js:56:20)
npm ERR! at ChildProcess.EventEmitter.emit (events.js:91:17)
npm ERR! at Process._handle.onexit (child_process.js:678:10)
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 11.4.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "testling"
npm ERR! cwd /Users/feifeipan/Sites/myweb/node
npm ERR! node -v v0.8.9
npm ERR! npm -v 1.1.61
npm http GET https://registry.npmjs.org/parsley
npm http GET https://registry.npmjs.org/morestreams/0.0.2
npm http GET https://registry.npmjs.org/postmessage
npm http GET https://registry.npmjs.org/dnode-protocol
npm http GET https://registry.npmjs.org/jquery-browserify
npm http 304 https://registry.npmjs.org/wordwrap
npm http 304 https://registry.npmjs.org/merge
npm http 304 https://registry.npmjs.org/headless
npm http 304 https://registry.npmjs.org/optimist
npm http GET https://registry.npmjs.org/wordwrap
npm http 304 https://registry.npmjs.org/runforcover

Can someone help me?Thanks.

Contributor

bogushevich commented Sep 17, 2012

Try execute this command

git clone git://github.com/substack/sockjs-client.git

May be you should install GIT before testling

Thanks a lot.I get git installed. And this error disappeared.BUT I got more errors.

HI, I try to user

sudo npm install -g testling.

I got the error

npm http 200 https://registry.npmjs.org/uglify-js
npm http GET https://registry.npmjs.org/uglify-js/-/uglify-js-1.1.1.tgz
npm http 200 https://registry.npmjs.org/uglify-js/-/uglify-js-1.1.1.tgz
/usr/local/bin/testling -> /usr/local/lib/node_modules/testling/bin/cmd.js

testling@0.2.5 install /usr/local/lib/node_modules/testling
browserify node_modules/schoolbus/proxy.js -o static/proxy.js

/usr/local/lib/node_modules/testling/node_modules/mkdirp/index.js:74
throw err0;
^
Error: EACCES, permission denied '/Users/feifeipan/.config/browserify'
at Object.fs.mkdirSync (fs.js:483:18)
at Function.sync (/usr/local/lib/node_modules/testling/node_modules/mkdirp/index.js:55:12)
at module.exports (/usr/local/lib/node_modules/testling/node_modules/browserify/node_modules/deputy/index.js:10:12)
at new Wrap (/usr/local/lib/node_modules/testling/node_modules/browserify/lib/wrap.js:32:30)
at module.exports (/usr/local/lib/node_modules/testling/node_modules/browserify/lib/wrap.js:17:12)
at module.exports (/usr/local/lib/node_modules/testling/node_modules/browserify/index.js:55:13)
at Object. (/usr/local/lib/node_modules/testling/node_modules/browserify/bin/cmd.js:87:14)
at Module._compile (module.js:449:26)
at Object.Module._extensions..js (module.js:467:10)
at Module.load (module.js:356:32)
npm ERR! testling@0.2.5 install: browserify node_modules/schoolbus/proxy.js -o static/proxy.js
npm ERR! sh "-c" "browserify node_modules/schoolbus/proxy.js -o static/proxy.js" failed with 1
npm ERR!
npm ERR! Failed at the testling@0.2.5 install script.
npm ERR! This is most likely a problem with the testling package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! browserify node_modules/schoolbus/proxy.js -o static/proxy.js
npm ERR! You can get their info via:
npm ERR! npm owner ls testling
npm ERR! There is likely additional logging output above.

npm ERR! System Darwin 11.4.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "testling"
npm ERR! cwd /users/feifeipan/Sites/myweb/node/node_modules
npm ERR! node -v v0.8.9
npm ERR! npm -v 1.1.61
npm ERR! code ELIFECYCLE
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /users/feifeipan/Sites/myweb/node/node_modules/npm-debug.log
npm ERR! not ok code 0

Then I use "npm install testing", I got another error.

npm http 304 https://registry.npmjs.org/uglify-js
npm http 304 https://registry.npmjs.org/traverse
Checking for program g++ or c++ : not found
/usr/local/lib/node_modules/testling/node_modules/shoe/node_modules/sockjs/node_modules/rbytes/wscript:12: error: could not configure a cxx compiler!
npm WARN optional dep failed, continuing rbytes@0.0.2
npm ERR! Error: EACCES, symlink '../lib/node_modules/testling/bin/cmd.js'
npm ERR! { [Error: EACCES, symlink '../lib/node_modules/testling/bin/cmd.js']
npm ERR! errno: 3,
npm ERR! code: 'EACCES',
npm ERR! path: '../lib/node_modules/testling/bin/cmd.js' }
npm ERR!
npm ERR! Please try running this command again as root/Administrator.

npm ERR! System Darwin 11.4.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "testling"
npm ERR! cwd /users/feifeipan/Sites/myweb/node/node_modules
npm ERR! node -v v0.8.9
npm ERR! npm -v 1.1.61
npm ERR! path ../lib/node_modules/testling/bin/cmd.js
npm ERR! code EACCES
npm ERR! errno 3
npm ERR! stack Error: EACCES, symlink '../lib/node_modules/testling/bin/cmd.js'
npm ERR! Error: EACCES, open 'npm-debug.log'
npm ERR! { [Error: EACCES, open 'npm-debug.log'] errno: 3, code: 'EACCES', path: 'npm-debug.log' }
npm ERR!
npm ERR! Please try running this command again as root/Administrator.

npm ERR! System Darwin 11.4.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "testling"
npm ERR! cwd /users/feifeipan/Sites/myweb/node/node_modules
npm ERR! node -v v0.8.9
npm ERR! npm -v 1.1.61
npm ERR! path npm-debug.log
npm ERR! code EACCES
npm ERR! errno 3
npm ERR! stack Error: EACCES, open 'npm-debug.log'
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /users/feifeipan/Sites/myweb/node/node_modules/npm-debug.log
npm ERR! not ok code 0

Is there anyone can help me?Thanks a lot.

Contributor

bogushevich commented Sep 20, 2012

Checking for program g++ or c++ : not found could not configure a cxx compiler! You should install C++ compiler for this module. npm use node-gyp for creating modules from native source code. Here is the list of programs, that you need for compiling. Note: - node-gyp has already instlled with npm - you needn't manualy do anything with node-gyp. Just install programs from list above and execute: npm install testing
Contributor

luk- commented Jun 17, 2013

No response, closing.

@luk- luk- closed this Jun 17, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment